Skip to content
GAMPEONCreate
New project

Revoke an achievement

DELETE
/v1/admin/achievements/{handle}/{id}
curl --request DELETE \
--url https://api.gampeon.com/v1/admin/achievements/example/example \
--header 'Authorization: Bearer <token>'

For example after manipulation (fake heartbeats, bought downloads).

Requires the role admin.

Not available with access tokens.

handle
required
string
/^[a-z0-9_]{3,24}$/

Handle of the account

id
required
string

Achievement ID

Revoked

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: forbidden, token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback